﻿/*
@import url("https://fonts.googleapis.com/css2?family=Noto+Sans+Arabic:wght@500&family=Noto+Sans+JP:wght@400;500&family=Noto+Sans+KR:wght@500&family=Open+Sans:wght@400;500&display=swap");
NO ONLINE IMPORTS, WebUI must be autarkic
*/



.langSelector .dropdown  button {
	/*background-color: #253849;*/
	background-color: transparent;
	min-width: 60px;
	width: max-content;
	height: 100%; /*30px; /*40px;*/
	/*border-radius: 5px;*/
	color: white;
	/*padding: 10px; disabled for new header*/
	font-size: 16px;
	border: none;
	cursor: pointer;
	justify-content: space-evenly;
	transition: 0.3s;
}

	.langSelector .dropdown  button img {
		margin: 0 5px 0 0;
	}

	.langSelector .dropdown  button img,
	.langSelector .dropdown -content li img {
		/*width: 28px;*/
	}

.langSelector .dropdown  button,
.langSelector .dropdown-content li {
	display: flex;
	align-items: center;
	font-size: 14px;
	font-family: "Open Sans", sans-serif;
	font-family: "Noto Sans JP", sans-serif;
	font-family: "Noto Sans Arabic", sans-serif;
	font-family: "Noto Sans KR", sans-serif;
	font-weight: 500;
}

.arrow-down {
	width: 0;
	height: 0;
	display: inline-block;
	vertical-align: middle;
	border-style: solid;
	border-width: 4px 4px 0 4px;
	border-color: #999c9e transparent transparent transparent;
	margin: 0 0 0 5px;
}
/*
.langSelector .dropdown  button:hover {
	cursor: pointer;
	background-color: #ddd;
	transition: 0.3s;
}
/* Style for the dropdown content */
.langSelector .dropdown-content {
	display: none;
	position: absolute;
	margin: 1px 0 0 0;
	padding: 0;
	background-color: #f5f5f5;
	/*min-width: 160px;*/
	/*width: 100px;*/
	box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
	z-index: 1;
	border-radius: 5px;
	/*overflow-y: scroll;*/
	max-height: 315px;
}
	/* Style for the dropdown content items */
	.langSelector .dropdown-content li {
		color: black;
		padding: 6px 16px;
		text-decoration: none;
		justify-content: end;
		margin-right: 0!important;
	}

		.langSelector .dropdown-content li img {
			margin: 0 20px 0px 20px;
		}
		/* Style for the dropdown content items on hover */
		.langSelector .dropdown-content li:hover {
			background-color: #dfdfdf;
			cursor: pointer;
			/*border-radius: 5px;*/
		}
/* Show the dropdown content when the dropdown button is clicked */
.langSelector .dropdown :focus-within .langSelector .dropdown-content {
	display: block;
}
/* Animate the dropdown content */
@keyframes slideIn {
	from {
		opacity: 0;
		transform: translateY(-10px);
	}

	to {
		opacity: 1;
		transform: translateY(0);
	}
}

.langSelector .dropdown-content {
	animation: slideIn 0.3s ease-out;
}
/* Scrollbar styles */
::-webkit-scrollbar {
	width: 8px;
	height: 10px;
}

::-webkit-scrollbar-thumb {
	border-radius: 8px;
	/*background: #c2c9d2;*/
}



/* Correction: for some reason, langSelector <li> is higher => correct parent ul */
.langCorrection {
	display: flex;
	align-items: center;
}


.lang-right {
	list-style: none;
	margin: 0;
	padding: 0;
	display: inline-block;
}

	.lang-right > li {
		display: inline-block;
		margin-left: 10px;
		vertical-align: middle;
	}
